import request from '@/utils/request';

/**
 * 提交投诉建议
 */
export function submitComplaint(data) {
	return request({ url: '/system/complaint', method: 'POST', data });
}

/**
 * 查询当前客户的投诉建议列表（小程序端）
 * @Author: Trae
 */
export function getMyComplaintList(params) {
	return request({ url: '/system/complaint/myList', method: 'GET', data: params });
}

/**
 * 查询投诉建议详情
 * @Author: Trae
 */
export function getComplaintDetail(id) {
	return request({ url: `/system/complaint/detail/${id}`, method: 'GET' });
}
